#!/usr/bin/env ruby
# -*- coding: utf-8 -*- 

class ModifySidfmdProductsVersions3 < ActiveRecord::Migration
  def change
    reversible do |dir|
      dir.up {
        change_column_null :sidfmd_products, :create_datetime, true, nil
        change_column_null :sidfmd_products, :update_datetime, true, nil
        change_column_null :sidfmd_versions, :create_datetime, true, nil
        change_column_null :sidfmd_versions, :update_datetime, true, nil
      }

      dir.down {
        change_column_null :sidfmd_products, :create_datetime, false, Time.current
        change_column_null :sidfmd_products, :update_datetime, false, Time.current
        change_column_null :sidfmd_versions, :create_datetime, false, Time.current
        change_column_null :sidfmd_versions, :update_datetime, false, Time.current
      }
    end
  end
end
